Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.tck.functional
Class QuietExceptionStrategy

    java.lang.Object
      org.mule.exception.AbstractExceptionListener
          org.mule.exception.AbstractMessagingExceptionStrategy
              org.mule.tck.functional.QuietExceptionStrategy

All Implemented Interfaces:
  MuleContextAware, MessagingExceptionHandler, Disposable, Initialisable

    public class QuietExceptionStrategy

extends AbstractMessagingExceptionStrategy

Restrict exceptions to debug log messages

Field Summary
`protected Log` | `logger`

Fields inherited from class org.mule.exception.AbstractExceptionListener
`commitTxFilter, enableNotifications, initialised, messageProcessors, muleContext, rollbackTxFilter`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`QuietExceptionStrategy()`

Method Summary
`void` | `handleLifecycleException(Object component, Throwable e)`
`void` | `handleMessagingException(MuleMessage message, Throwable e)`
`void` | `handleRoutingException(MuleMessage message, MessageProcessor target, Throwable e)`
`void` | `handleStandardException(Throwable e)`
`protected void` | `logException(Throwable t)` Used to log the error passed into this Exception Listener

Methods inherited from class org.mule.exception.AbstractMessagingExceptionStrategy
`defaultHandler, handleException, messageFromContextIfAvailable`

Methods inherited from class org.mule.exception.AbstractExceptionListener
`addEndpoint, closeStream, createOutboundRouter, dispose, doInitialise, fireNotification, getCommitTxFilter, getExceptionType, getMessageProcessors, getMessageProcessors, getRollbackTxFilter, handleTransaction, initialise, isEnableNotifications, isInitialised, logFatal, removeMessageProcessor, rollbackTransaction, routeException, setCommitTxFilter, setEnableNotifications, setMessageProcessors, setMuleContext, setRollbackTxFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

Constructor Detail

### QuietExceptionStrategy

    public QuietExceptionStrategy()

Method Detail

### handleMessagingException

    public void handleMessagingException(MuleMessage message,
                                         Throwable e)

  Overrides:
    `handleMessagingException` in class `AbstractMessagingExceptionStrategy`

### handleRoutingException

    public void handleRoutingException(MuleMessage message,
                                       MessageProcessor target,
                                       Throwable e)

  Overrides:
    `handleRoutingException` in class `AbstractMessagingExceptionStrategy`

### handleLifecycleException

    public void handleLifecycleException(Object component,
                                         Throwable e)

  Overrides:
    `handleLifecycleException` in class `AbstractMessagingExceptionStrategy`

### handleStandardException

    public void handleStandardException(Throwable e)

  Overrides:
    `handleStandardException` in class `AbstractMessagingExceptionStrategy`

### logException

    protected void logException(Throwable t)

  Description copied from class: `AbstractExceptionListener`
  Used to log the error passed into this Exception Listener

  Overrides:
    `logException` in class `AbstractExceptionListener`
  Parameters:
    `t` - the exception thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.